from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XToolkitExperimental(XToolkit3, Protocol):
    def processEventsToIdle(self) -> None: ...
    def getOpenGLBufferSwapCounter(self) -> int: ...
    def setDeterministicScheduling(self, bDeterministicMode: bool) -> None: ...
    def pause(self, nMilliseconds: int) -> None: ...
    def startRecording(self) -> None: ...
    def stopRecording(self) -> None: ...
    def getRecordingAndClear(self) -> list[str]: ...
    def waitUntilAllIdlesDispatched(self) -> None: ...
